
//	module		: poisson eqn with Dirichlet B.C.
//	file name	: testcase_1.h
//	version		: 1.0
//	author		: Lung Sheng Chien
//	date		: 2004 / 1 / 26
//  
//	description :   Dx2 u = f   on [0,1]
//					Dirichlet B.C.
//				use std 3 point stencil
//
void testcase_1_gen_operator(int nx , double dx , linear_eqn *A ) ;

void testcase_1_gen_u_f(int nx , double dx , double* u, double* f ) ;

void testcase_1_setup_bc(int nx , double dx , double* u , double * f
						  , double *x , double *b) ;

void testcase_1_setup_init(int nx , double dx , double *u , double* f,double * x, double *b) ;


